package com.hxyq.business.base.utils.font;

import android.content.Context;
import android.graphics.Typeface;

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：
 */

public class FontManager {
    private static Typeface impact = null;
    private static Typeface rubikBlack = null;
    private static Typeface dinMedium = null;

    public static Typeface getImpactTypeface(Context context) {
        if (impact == null) {
            impact = Typeface.createFromAsset(context.getAssets(), "Impact.ttf");
        }
        return impact;
    }

    public static Typeface getRubikBlackTypeface(Context context) {
        if (rubikBlack == null) {
            rubikBlack = Typeface.createFromAsset(context.getAssets(), "Rubik_Black.ttf");
        }
        return rubikBlack;
    }

    public static Typeface getDinTypeface(Context context) {
        if (dinMedium == null) {
            dinMedium = Typeface.createFromAsset(context.getAssets(), "DIN-Medium.otf");
        }
        return dinMedium;
    }
}
